<template>
  <WarningAlert v-if="data === null" text="Failed to fetch lethality data" />
  <v-row v-else dense>
    <v-col v-if="dapi11 >= 0" cols="12">
      Lethalities 11 days after pupal injection:
      {{ dapi11 }}% (includes death as pupa, adult)
    </v-col>
    <v-col v-if="dali11 >= 0" cols="12">
      Lethalities 11 days after larval injection:
      {{ dali11 }}% (includes death as larva, prepupa, pupa)
    </v-col>
    <v-col v-if="dali22 >= 0" cols="12">
      Lethalities 22 days after larval injection:
      {{ dali22 }}% (includes death as larva, prepupa, pupa, adult)
    </v-col>
  </v-row>
</template>

<script setup lang="ts">
const props = defineProps<{ dsrnaId: string }>();

const { fetchLethality } = usePhenotypeService();
const { data } = await useAsyncData(`lethality-${props.dsrnaId}`, () =>
  fetchLethality(props.dsrnaId),
);

const dapi11 = data.value?.dapi11 || -1;
const dali11 = data.value?.dali11 || -1;
const dali22 = data.value?.dali22 || -1;
</script>
